<?
$db = LogUtils::openDatabase ();

LogUtils::executeQuery($db, "drop table user_log");
LogUtils::executeQuery($db, "
CREATE TABLE user_log (
    user_log_id integer primary key,
    visit_date  date,
    visit_time  time,
    site_id     int,
    demo_id     int,
    login_id    string,
    session     string,
    firstname   string,
    lastname    string,
    address1    string,
    address2    string,
    city        string,
    state       string,
    zip         string
)");

LogUtils::executeQuery($db, "CREATE INDEX index_user_log_site ON user_log (site_id)");
LogUtils::executeQuery($db, "CREATE INDEX index_user_log_demo ON user_log (demo_id)");
LogUtils::executeQuery($db, "CREATE INDEX index_user_log_login ON user_log (login_id);");
LogUtils::executeQuery($db,
"CREATE INDEX index_user_log_date ON user_log (visit_date);");
LogUtils::executeQuery($db, "drop table user_demographics");
LogUtils::executeQuery($db, "
CREATE TABLE user_demographics (
    user_log_id integer,
    seq         int,
    answer      string,
    primary key (user_log_id, seq)
)");
LogUtils::executeQuery($db, "drop table demographic_description");

LogUtils::executeQuery($db, "
CREATE TABLE demographic_description (
    demo_id    int,
    seq        int,
    question   string,
    primary key (demo_id, seq)
)");
LogUtils::executeQuery($db, "CREATE INDEX index_demographic_description_demo_pk ON demographic_description (demo_id, seq)");

LogUtils::executeQuery($db, "INSERT INTO demographic_description (demo_id, seq, question) VALUES (1, 0, ',    .' )");

LogUtils::executeQuery($db, "INSERT INTO demographic_description (demo_id, seq, question) VALUES (1, 1, '' )");

LogUtils::executeQuery($db, "INSERT INTO demographic_description (demo_id, seq, question) VALUES (1, 2, '' )");

LogUtils::executeQuery($db, "INSERT INTO demographic_description (demo_id, seq, question) VALUES (1, 3, '' )");

LogUtils::executeQuery($db, "INSERT INTO demographic_description (demo_id, seq, question) VALUES (2, 0, '      .' )");

LogUtils::executeQuery($db, "INSERT INTO demographic_description (demo_id, seq, question) VALUES (2, 1, '   .' )");

LogUtils::executeQuery($db, "INSERT INTO demographic_description (demo_id, seq, question) VALUES (2, 2, '  ,    .' )");

LogUtils::executeQuery($db, "INSERT INTO demographic_description (demo_id, seq, question) VALUES (2, 3, '  .' )");
LogUtils::closeDatabase ($db);
?>